      REAL*8 FUNCTION DECYR(TIME)        
C                                                    
C CONVERT INTEGER TIME VALUES INTO DECIMAL YEAR                         
C                               
      INTEGER*2 TIME(6)                                        
      REAL*8 DYEAR,DDAY,DHOUR,DMIN,DSEC,LEAP,DAYS
C
      IYR = TIME(1)
      IDY = TIME(2)
      IHR = TIME(3)
      MIN = TIME(4)
      ISEC = TIME(5)
      MSEC = TIME(6)
C
      LEAP = DAYS(IYR)
      DSEC = DBLE(ISEC) + DBLE(MSEC)/1000.0D0                           
      DMIN = DBLE(MIN) + DSEC/60.0D0                                    
      DHOUR = DBLE(IHR) + DMIN/60.0D0                                   
      DDAY = DBLE(IDY) - 1.0D0 + DHOUR/24.0D0                           
      DYEAR = DBLE(IYR) + DDAY/LEAP                                     
      DECYR = DYEAR
C
      RETURN                                                            
      END                                                               
